Zorya APIZorya API
  • Go to the Portal
  • Sign Up
  • Documentation
  • API Reference
  • Tables
  • Copyright © 2026 Zorya Telecom, S.A. de C.V.
USERS & SESSIONS
    Get a signed token for a userpostGet the current active usergetList all active sessions for the current usergetRevoke a session by SessionIdpost
LOOKUP
    Consult Msisdn informationpost
TOP-UP
    Send a regular Top Up to a userpostSend a direct Top Up to a user with specified ProductpostGet Statusget
SMS
    Send a Basic SMS to a userpostGet Sms Statusget
RCS
    Send an RCS MessagepostGet RCS Statusget
MESSAGING
    Send SMS or RCS MessagepostGet Message Statusget
WHATSAPP
    MESSAGES
      Text Messagepost
    STATUS
      Get WhatsApp Statusget
    MEDIA
      Get MediaIdgetGenerate Header HandlepostUpload Media Completepost
    TEMPLATES
      List WhatsApp TemplatesgetCreate a WhatsApp TemplatepostUpdate a WhatsApp TemplatepostDelete a WhatsApp Templatedelete
      Categories
    Flows
    Usernames
WEBHOOKS
    MO
    MT
    NOTIFICATIONS
Core API
Core API

LOOKUP


Consult Msisdn information

POST
https://gateway.zorya.com
/api/v1/LookUp

Request Parameters

ParameterData TypeDescriptionRequired?
toStringMobile numberYes
POST/api/v1/LookUp
curl https://gateway.zorya.com/api/v1/LookUp \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "to": "525512345678" }'
Example Request Body
{ "to": "525512345678" }
json
application/json
Example Responses
{ "success": true, "errors": null, "detailedErrors": [], "data": { "transactionId": "de3802c8-2885-4f93-ae08-148b06829a7d", "msisdn": "521234567890", "mcc": "334", "mnc": "020", "networkId": "188", "network": "Telcel", "serviceProviderId": "188", "serviceProviderDesc": "Telcel", "numberType": 1, "isPorted": true, "portingDate": "2023-01-14T02:01:00+00:00" } }
json
application/json

USERS & SESSIONSTOP-UP